]> git.sur5r.net Git - bacula/rescue/blob - rescue/linux/cdrom/yaird-0.0.5/Makefile
c4423afaf7e1bc9a732ad8d71a33b66d0de1ff4e
[bacula/rescue] / rescue / linux / cdrom / yaird-0.0.5 / Makefile
1 # Makefile.in generated by automake 1.9.5 from Makefile.am.
2 # Makefile.  Generated from Makefile.in by configure.
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15
16
17
18 # Makefile.am -- installation and packaging instructions
19 #   Copyright (C) 2005  Erik van Konijnenburg
20 #
21 #   This program is free software; you can redistribute it and/or modify
22 #   it under the terms of the GNU General Public License as published by
23 #   the Free Software Foundation; either version 2 of the License, or
24 #   (at your option) any later version.
25 #
26 #   This program is distributed in the hope that it will be useful,
27 #   but WITHOUT ANY WARRANTY; without even the implied warranty of
28 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
29 #   GNU General Public License for more details.
30 #
31 #   You should have received a copy of the GNU General Public License
32 #   along with this program; if not, write to the Free Software
33 #   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
34 #
35 # - auxdir contains executables that may be included in the generated
36 #   image
37 # - perldir contains perl modules to be included by the main program
38 #
39 srcdir = .
40 top_srcdir = .
41
42 pkgdatadir = $(datadir)/yaird
43 pkglibdir = $(libdir)/yaird
44 pkgincludedir = $(includedir)/yaird
45 top_builddir = .
46 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
47 INSTALL = /usr/bin/install -c
48 install_sh_DATA = $(install_sh) -c -m 644
49 install_sh_PROGRAM = $(install_sh) -c
50 install_sh_SCRIPT = $(install_sh) -c
51 INSTALL_HEADER = $(INSTALL_DATA)
52 transform = $(program_transform_name)
53 NORMAL_INSTALL = :
54 PRE_INSTALL = :
55 POST_INSTALL = :
56 NORMAL_UNINSTALL = :
57 PRE_UNINSTALL = :
58 POST_UNINSTALL = :
59 subdir = .
60 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
61         $(srcdir)/Makefile.in $(top_srcdir)/configure \
62         $(top_srcdir)/include/config.h.in AUTHORS COPYING ChangeLog \
63         INSTALL NEWS TODO depcomp install-sh missing
64 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
65 am__aclocal_m4_deps = $(top_srcdir)/configure.in
66 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
67         $(ACLOCAL_M4)
68 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
69  configure.lineno configure.status.lineno
70 mkinstalldirs = $(install_sh) -d
71 CONFIG_HEADER = $(top_builddir)/include/config.h
72 CONFIG_CLEAN_FILES =
73 SOURCES =
74 DIST_SOURCES =
75 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
76         html-recursive info-recursive install-data-recursive \
77         install-exec-recursive install-info-recursive \
78         install-recursive installcheck-recursive installdirs-recursive \
79         pdf-recursive ps-recursive uninstall-info-recursive \
80         uninstall-recursive
81 ETAGS = etags
82 CTAGS = ctags
83 DIST_SUBDIRS = $(SUBDIRS)
84 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
85 distdir = $(PACKAGE)-$(VERSION)
86 top_distdir = $(distdir)
87 am__remove_distdir = \
88   { test ! -d $(distdir) \
89     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
90          && rm -fr $(distdir); }; }
91 DIST_ARCHIVES = $(distdir).tar.gz
92 GZIP_ENV = --best
93 distuninstallcheck_listfiles = find . -type f -print
94 distcleancheck_listfiles = find . -type f -print
95 ACLOCAL = ${SHELL} /home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/missing --run aclocal-1.9
96 AMDEP_FALSE = #
97 AMDEP_TRUE = 
98 AMTAR = ${SHELL} /home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/missing --run tar
99 AUTOCONF = ${SHELL} /home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/missing --run autoconf
100 AUTOHEADER = ${SHELL} /home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/missing --run autoheader
101 AUTOMAKE = ${SHELL} /home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/missing --run automake-1.9
102 AWK = gawk
103 CC = gcc
104 CCDEPMODE = depmode=gcc3
105 CFLAGS = -g -O2
106 CPPFLAGS = 
107 CYGPATH_W = echo
108 DEFS = -DHAVE_CONFIG_H
109 DEPDIR = .deps
110 ECHO_C = 
111 ECHO_N = -n
112 ECHO_T = 
113 EXEEXT = 
114 INITRD_TEMPLATE = Fedora
115 INSTALL_DATA = ${INSTALL} -m 644
116 INSTALL_PROGRAM = ${INSTALL}
117 INSTALL_SCRIPT = ${INSTALL}
118 INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
119 LDFLAGS = 
120 LIBOBJS = 
121 LIBS = 
122 LTLIBOBJS = 
123 MAKEINFO = ${SHELL} /home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/missing --run makeinfo
124 OBJEXT = o
125 PACKAGE = yaird
126 PACKAGE_BUGREPORT = 
127 PACKAGE_NAME = 
128 PACKAGE_STRING = 
129 PACKAGE_TARNAME = 
130 PACKAGE_VERSION = 
131 PATH_SEPARATOR = :
132 PERL = /usr/bin/perl
133 SET_MAKE = 
134 SHELL = /bin/sh
135 STRIP = 
136 VERSION = 0.0.5
137 XMLTO = /usr/bin/xmlto
138 ac_ct_CC = gcc
139 ac_ct_STRIP = 
140 am__fastdepCC_FALSE = #
141 am__fastdepCC_TRUE = 
142 am__include = include
143 am__leading_dot = .
144 am__quote = 
145 am__tar = ${AMTAR} chof - "$$tardir"
146 am__untar = ${AMTAR} xf -
147 bindir = ${exec_prefix}/bin
148 build_alias = 
149 datadir = ${prefix}/share
150 exec_prefix = ${prefix}
151 host_alias = 
152 includedir = ${prefix}/include
153 infodir = ${prefix}/info
154 install_sh = /home/kern/bacula/k/rescue/linux/cdrom/yaird-0.0.5/install-sh
155 libdir = ${exec_prefix}/lib
156 libexecdir = ${exec_prefix}/libexec
157 localstatedir = ${prefix}/var
158 mandir = ${prefix}/man
159 mkdir_p = mkdir -p --
160 oldincludedir = /usr/include
161 prefix = /usr/local
162 program_transform_name = s,x,x,
163 sbindir = ${exec_prefix}/sbin
164 sharedstatedir = ${prefix}/com
165 sysconfdir = ${prefix}/etc
166 target_alias = 
167 auxdir = $(pkglibdir)/exec
168 perldir = $(pkglibdir)/perl
169 SUBDIRS = perl templates doc exec
170
171 # not compiled, but must go in the tarball.
172 EXTRA_DIST = \
173         bootstrap.sh
174
175 all: all-recursive
176
177 .SUFFIXES:
178 am--refresh:
179         @:
180 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
181         @for dep in $?; do \
182           case '$(am__configure_deps)' in \
183             *$$dep*) \
184               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
185               cd $(srcdir) && $(AUTOMAKE) --gnu  \
186                 && exit 0; \
187               exit 1;; \
188           esac; \
189         done; \
190         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
191         cd $(top_srcdir) && \
192           $(AUTOMAKE) --gnu  Makefile
193 .PRECIOUS: Makefile
194 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
195         @case '$?' in \
196           *config.status*) \
197             echo ' $(SHELL) ./config.status'; \
198             $(SHELL) ./config.status;; \
199           *) \
200             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
201             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
202         esac;
203
204 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
205         $(SHELL) ./config.status --recheck
206
207 $(top_srcdir)/configure:  $(am__configure_deps)
208         cd $(srcdir) && $(AUTOCONF)
209 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
210         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
211
212 include/config.h: include/stamp-h1
213         @if test ! -f $@; then \
214           rm -f include/stamp-h1; \
215           $(MAKE) include/stamp-h1; \
216         else :; fi
217
218 include/stamp-h1: $(top_srcdir)/include/config.h.in $(top_builddir)/config.status
219         @rm -f include/stamp-h1
220         cd $(top_builddir) && $(SHELL) ./config.status include/config.h
221 $(top_srcdir)/include/config.h.in:  $(am__configure_deps) 
222         cd $(top_srcdir) && $(AUTOHEADER)
223         rm -f include/stamp-h1
224         touch $@
225
226 distclean-hdr:
227         -rm -f include/config.h include/stamp-h1
228 uninstall-info-am:
229
230 # This directory's subdirectories are mostly independent; you can cd
231 # into them and run `make' without going through this Makefile.
232 # To change the values of `make' variables: instead of editing Makefiles,
233 # (1) if the variable is set in `config.status', edit `config.status'
234 #     (which will cause the Makefiles to be regenerated when you run `make');
235 # (2) otherwise, pass the desired values on the `make' command line.
236 $(RECURSIVE_TARGETS):
237         @failcom='exit 1'; \
238         for f in x $$MAKEFLAGS; do \
239           case $$f in \
240             *=* | --[!k]*);; \
241             *k*) failcom='fail=yes';; \
242           esac; \
243         done; \
244         dot_seen=no; \
245         target=`echo $@ | sed s/-recursive//`; \
246         list='$(SUBDIRS)'; for subdir in $$list; do \
247           echo "Making $$target in $$subdir"; \
248           if test "$$subdir" = "."; then \
249             dot_seen=yes; \
250             local_target="$$target-am"; \
251           else \
252             local_target="$$target"; \
253           fi; \
254           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
255           || eval $$failcom; \
256         done; \
257         if test "$$dot_seen" = "no"; then \
258           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
259         fi; test -z "$$fail"
260
261 mostlyclean-recursive clean-recursive distclean-recursive \
262 maintainer-clean-recursive:
263         @failcom='exit 1'; \
264         for f in x $$MAKEFLAGS; do \
265           case $$f in \
266             *=* | --[!k]*);; \
267             *k*) failcom='fail=yes';; \
268           esac; \
269         done; \
270         dot_seen=no; \
271         case "$@" in \
272           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
273           *) list='$(SUBDIRS)' ;; \
274         esac; \
275         rev=''; for subdir in $$list; do \
276           if test "$$subdir" = "."; then :; else \
277             rev="$$subdir $$rev"; \
278           fi; \
279         done; \
280         rev="$$rev ."; \
281         target=`echo $@ | sed s/-recursive//`; \
282         for subdir in $$rev; do \
283           echo "Making $$target in $$subdir"; \
284           if test "$$subdir" = "."; then \
285             local_target="$$target-am"; \
286           else \
287             local_target="$$target"; \
288           fi; \
289           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
290           || eval $$failcom; \
291         done && test -z "$$fail"
292 tags-recursive:
293         list='$(SUBDIRS)'; for subdir in $$list; do \
294           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
295         done
296 ctags-recursive:
297         list='$(SUBDIRS)'; for subdir in $$list; do \
298           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
299         done
300
301 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
302         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
303         unique=`for i in $$list; do \
304             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
305           done | \
306           $(AWK) '    { files[$$0] = 1; } \
307                END { for (i in files) print i; }'`; \
308         mkid -fID $$unique
309 tags: TAGS
310
311 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
312                 $(TAGS_FILES) $(LISP)
313         tags=; \
314         here=`pwd`; \
315         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
316           include_option=--etags-include; \
317           empty_fix=.; \
318         else \
319           include_option=--include; \
320           empty_fix=; \
321         fi; \
322         list='$(SUBDIRS)'; for subdir in $$list; do \
323           if test "$$subdir" = .; then :; else \
324             test ! -f $$subdir/TAGS || \
325               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
326           fi; \
327         done; \
328         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
329         unique=`for i in $$list; do \
330             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
331           done | \
332           $(AWK) '    { files[$$0] = 1; } \
333                END { for (i in files) print i; }'`; \
334         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
335           test -n "$$unique" || unique=$$empty_fix; \
336           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
337             $$tags $$unique; \
338         fi
339 ctags: CTAGS
340 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
341                 $(TAGS_FILES) $(LISP)
342         tags=; \
343         here=`pwd`; \
344         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
345         unique=`for i in $$list; do \
346             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
347           done | \
348           $(AWK) '    { files[$$0] = 1; } \
349                END { for (i in files) print i; }'`; \
350         test -z "$(CTAGS_ARGS)$$tags$$unique" \
351           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
352              $$tags $$unique
353
354 GTAGS:
355         here=`$(am__cd) $(top_builddir) && pwd` \
356           && cd $(top_srcdir) \
357           && gtags -i $(GTAGS_ARGS) $$here
358
359 distclean-tags:
360         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
361
362 distdir: $(DISTFILES)
363         $(am__remove_distdir)
364         mkdir $(distdir)
365         $(mkdir_p) $(distdir)/doc $(distdir)/include
366         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
367         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
368         list='$(DISTFILES)'; for file in $$list; do \
369           case $$file in \
370             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
371             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
372           esac; \
373           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
374           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
375           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
376             dir="/$$dir"; \
377             $(mkdir_p) "$(distdir)$$dir"; \
378           else \
379             dir=''; \
380           fi; \
381           if test -d $$d/$$file; then \
382             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
383               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
384             fi; \
385             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
386           else \
387             test -f $(distdir)/$$file \
388             || cp -p $$d/$$file $(distdir)/$$file \
389             || exit 1; \
390           fi; \
391         done
392         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
393           if test "$$subdir" = .; then :; else \
394             test -d "$(distdir)/$$subdir" \
395             || $(mkdir_p) "$(distdir)/$$subdir" \
396             || exit 1; \
397             distdir=`$(am__cd) $(distdir) && pwd`; \
398             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
399             (cd $$subdir && \
400               $(MAKE) $(AM_MAKEFLAGS) \
401                 top_distdir="$$top_distdir" \
402                 distdir="$$distdir/$$subdir" \
403                 distdir) \
404               || exit 1; \
405           fi; \
406         done
407         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
408           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
409           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
410           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
411         || chmod -R a+r $(distdir)
412 dist-gzip: distdir
413         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
414         $(am__remove_distdir)
415
416 dist-bzip2: distdir
417         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
418         $(am__remove_distdir)
419
420 dist-tarZ: distdir
421         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
422         $(am__remove_distdir)
423
424 dist-shar: distdir
425         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
426         $(am__remove_distdir)
427
428 dist-zip: distdir
429         -rm -f $(distdir).zip
430         zip -rq $(distdir).zip $(distdir)
431         $(am__remove_distdir)
432
433 dist dist-all: distdir
434         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
435         $(am__remove_distdir)
436
437 # This target untars the dist file and tries a VPATH configuration.  Then
438 # it guarantees that the distribution is self-contained by making another
439 # tarfile.
440 distcheck: dist
441         case '$(DIST_ARCHIVES)' in \
442         *.tar.gz*) \
443           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
444         *.tar.bz2*) \
445           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
446         *.tar.Z*) \
447           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
448         *.shar.gz*) \
449           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
450         *.zip*) \
451           unzip $(distdir).zip ;;\
452         esac
453         chmod -R a-w $(distdir); chmod a+w $(distdir)
454         mkdir $(distdir)/_build
455         mkdir $(distdir)/_inst
456         chmod a-w $(distdir)
457         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
458           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
459           && cd $(distdir)/_build \
460           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
461             $(DISTCHECK_CONFIGURE_FLAGS) \
462           && $(MAKE) $(AM_MAKEFLAGS) \
463           && $(MAKE) $(AM_MAKEFLAGS) dvi \
464           && $(MAKE) $(AM_MAKEFLAGS) check \
465           && $(MAKE) $(AM_MAKEFLAGS) install \
466           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
467           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
468           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
469                 distuninstallcheck \
470           && chmod -R a-w "$$dc_install_base" \
471           && ({ \
472                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
473                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
474                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
475                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
476                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
477               } || { rm -rf "$$dc_destdir"; exit 1; }) \
478           && rm -rf "$$dc_destdir" \
479           && $(MAKE) $(AM_MAKEFLAGS) dist \
480           && rm -rf $(DIST_ARCHIVES) \
481           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
482         $(am__remove_distdir)
483         @(echo "$(distdir) archives ready for distribution: "; \
484           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
485           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
486 distuninstallcheck:
487         @cd $(distuninstallcheck_dir) \
488         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
489            || { echo "ERROR: files left after uninstall:" ; \
490                 if test -n "$(DESTDIR)"; then \
491                   echo "  (check DESTDIR support)"; \
492                 fi ; \
493                 $(distuninstallcheck_listfiles) ; \
494                 exit 1; } >&2
495 distcleancheck: distclean
496         @if test '$(srcdir)' = . ; then \
497           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
498           exit 1 ; \
499         fi
500         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
501           || { echo "ERROR: files left in build directory after distclean:" ; \
502                $(distcleancheck_listfiles) ; \
503                exit 1; } >&2
504 check-am: all-am
505 check: check-recursive
506 all-am: Makefile
507 installdirs: installdirs-recursive
508 installdirs-am:
509 install: install-recursive
510 install-exec: install-exec-recursive
511 install-data: install-data-recursive
512 uninstall: uninstall-recursive
513
514 install-am: all-am
515         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
516
517 installcheck: installcheck-recursive
518 install-strip:
519         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
520           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
521           `test -z '$(STRIP)' || \
522             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
523 mostlyclean-generic:
524
525 clean-generic:
526
527 distclean-generic:
528         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
529
530 maintainer-clean-generic:
531         @echo "This command is intended for maintainers to use"
532         @echo "it deletes files that may require special tools to rebuild."
533 clean: clean-recursive
534
535 clean-am: clean-generic mostlyclean-am
536
537 distclean: distclean-recursive
538         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
539         -rm -f Makefile
540 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
541
542 dvi: dvi-recursive
543
544 dvi-am:
545
546 html: html-recursive
547
548 info: info-recursive
549
550 info-am:
551
552 install-data-am:
553
554 install-exec-am:
555
556 install-info: install-info-recursive
557
558 install-man:
559
560 installcheck-am:
561
562 maintainer-clean: maintainer-clean-recursive
563         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
564         -rm -rf $(top_srcdir)/autom4te.cache
565         -rm -f Makefile
566 maintainer-clean-am: distclean-am maintainer-clean-generic
567
568 mostlyclean: mostlyclean-recursive
569
570 mostlyclean-am: mostlyclean-generic
571
572 pdf: pdf-recursive
573
574 pdf-am:
575
576 ps: ps-recursive
577
578 ps-am:
579
580 uninstall-am: uninstall-info-am
581
582 uninstall-info: uninstall-info-recursive
583
584 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
585         check-am clean clean-generic clean-recursive ctags \
586         ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
587         dist-tarZ dist-zip distcheck distclean distclean-generic \
588         distclean-hdr distclean-recursive distclean-tags \
589         distcleancheck distdir distuninstallcheck dvi dvi-am html \
590         html-am info info-am install install-am install-data \
591         install-data-am install-exec install-exec-am install-info \
592         install-info-am install-man install-strip installcheck \
593         installcheck-am installdirs installdirs-am maintainer-clean \
594         maintainer-clean-generic maintainer-clean-recursive \
595         mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
596         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
597         uninstall-info-am
598
599 # Tell versions [3.59,3.63) of GNU make to not export all variables.
600 # Otherwise a system limit (for SysV at least) may be exceeded.
601 .NOEXPORT: